USBHID(4)

NAME
usbhid - USB HID transport driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device usbhid

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    usbhid_load="YES"

DESCRIPTION
The usbhid driver provides a interface to USB Human Interface Devices (HIDs).

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

hw.usb.usbhid.enable
    Enable usbhid and make its priority greater than other USB HID drivers have. Default is 0.

hw.usb.usbhid.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

SEE ALSO
ehci(4), ohci(4), uhci(4), usb(4), xhci(4), usbconfig(8)

HISTORY
The usbhid driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The usbhid driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.